## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celData Struct Reference

Typed data for CEL. More...

`#include <physicallayer/datatype.h>`

List of all members.

## Public Member Functions

| celData (const celData &copy)
| celData ()
void | Clear ()
const celData & | operator= (const celData &copy)
void | Set (iCelEntity *ent)
void | Set (iCelPropertyClass *pc)
void | Set (const char *s)
void | Set (const csColor &v)
void | Set (const csVector3 &v)
void | Set (const csVector2 &v)
void | Set (float v)
void | Set (uint32 v)
void | Set (int32 v)
void | Set (uint16 v)
void | Set (int16 v)
void | Set (uint8 v)
void | Set (int8 v)
void | Set (bool v)
| Initialize and set the value.
void | SetAction (const char *s)
void | SetIBase (iBase *b)
void | SetParameter (const char *s, celDataType t)
| ~celData ()

## Public Attributes

celDataType | type
int8 | b
float | blue
bool | bo
iCelEntity * | ent
float | f
float | green
iBase * | ibase
int32 | l
iString * | parname
celDataType | partype
iCelPropertyClass * | pc
float | red
iString * | s
uint8 | ub
uint32 | ul
uint16 | uw
int16 | w
float | x
float | y
float | z

## Detailed Description

Typed data for CEL.

Definition at line 63 of file datatype.h.

## Member Function Documentation

void celData::Set | ( | bool | v | ) | `[inline]`

| Initialize and set the value. Definition at line 125 of file datatype.h. References Clear(), and type. Referenced by iCelDataBuffer::Add().

The documentation for this struct was generated from the following file:

- physicallayer/datatype.h